> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Event

> Partial update — only fields present in the request body are applied.



## OpenAPI

````yaml /openapi/mio-openapi.json patch /api/v1/hubs/{hub_id}/events/{event_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hubs/{hub_id}/events/{event_id}:
    patch:
      tags:
        - hub-events
      summary: Patch Event
      description: Partial update — only fields present in the request body are applied.
      operationId: hub_events.patch_hub_events_patch_hubs_by_hub_id_events_by_event_id
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: event_id
          required: true
          schema:
            title: Event Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/HubEventUpdateEnvelope'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HubEventResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HubEventUpdateEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/HubEventUpdateResource'
      required:
        - data
      title: HubEventUpdateEnvelope
      type: object
    HubEventResponse:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/HubEventResource'
      required:
        - data
      title: HubEventResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HubEventUpdateResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/HubEventUpdateAttributes'
        type:
          const: hub_events
          title: Type
          type: string
      required:
        - type
        - attributes
      title: HubEventUpdateResource
      type: object
    HubEventResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/HubEventAttributes'
        id:
          title: Id
          type: string
        type:
          const: hub_events
          default: hub_events
          title: Type
          type: string
      required:
        - id
        - attributes
      title: HubEventResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    HubEventUpdateAttributes:
      additionalProperties: false
      properties:
        attendee_list_visible:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Attendee List Visible
        capacity:
          anyOf:
            - minimum: 1
              type: integer
            - type: 'null'
          title: Capacity
        cover_image_url:
          anyOf:
            - maxLength: 1024
              type: string
            - type: 'null'
          title: Cover Image Url
        description:
          anyOf:
            - maxLength: 20000
              type: string
            - type: 'null'
          title: Description
        ends_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Ends At
        location_address:
          anyOf:
            - maxLength: 10000
              type: string
            - type: 'null'
          title: Location Address
        location_type:
          anyOf:
            - enum:
                - url
                - address
              type: string
            - type: 'null'
          title: Location Type
        location_url:
          anyOf:
            - maxLength: 1024
              type: string
            - type: 'null'
          title: Location Url
        rsvp_tag_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rsvp Tag Id
        segment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Segment Id
        starts_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Starts At
        timezone:
          anyOf:
            - maxLength: 64
              minLength: 1
              type: string
            - type: 'null'
          title: Timezone
        title:
          anyOf:
            - maxLength: 200
              minLength: 1
              type: string
            - type: 'null'
          title: Title
        visibility:
          anyOf:
            - enum:
                - all_members
                - segment
              type: string
            - type: 'null'
          title: Visibility
      title: HubEventUpdateAttributes
      type: object
    HubEventAttributes:
      additionalProperties: false
      properties:
        attendee_list_visible:
          title: Attendee List Visible
          type: boolean
        capacity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Capacity
        cover_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Image Url
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        ends_at:
          format: date-time
          title: Ends At
          type: string
        going_count:
          title: Going Count
          type: integer
        google_calendar_url:
          title: Google Calendar Url
          type: string
        host_contact_id:
          title: Host Contact Id
          type: string
        hub_id:
          title: Hub Id
          type: string
        is_full:
          title: Is Full
          type: boolean
        location_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Address
        location_type:
          enum:
            - url
            - address
          title: Location Type
          type: string
        location_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Url
        my_rsvp_status:
          anyOf:
            - enum:
                - going
                - not_going
              type: string
            - type: 'null'
          title: My Rsvp Status
        rsvp_tag_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rsvp Tag Id
        segment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Segment Id
        starts_at:
          format: date-time
          title: Starts At
          type: string
        status:
          enum:
            - scheduled
            - cancelled
          title: Status
          type: string
        team_id:
          title: Team Id
          type: string
        timezone:
          title: Timezone
          type: string
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        visibility:
          enum:
            - all_members
            - segment
          title: Visibility
          type: string
      required:
        - hub_id
        - team_id
        - title
        - description
        - cover_image_url
        - starts_at
        - ends_at
        - timezone
        - location_type
        - location_url
        - location_address
        - capacity
        - host_contact_id
        - visibility
        - segment_id
        - rsvp_tag_id
        - attendee_list_visible
        - status
        - going_count
        - is_full
        - google_calendar_url
        - my_rsvp_status
        - created_at
        - updated_at
      title: HubEventAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http

````